#pragma once
#include <map>
struct M_OnlineRewardsData
{
	//key
	int mID;
	//时间
	int mTime;
	//金币数量
	int mGoldNumber;
	//初级加成
	int mPrimary;
	//高级加成
	int mSenior;
};

class M_OnlineRewards
{
public:
private:
	static std::auto_ptr<M_OnlineRewards> msSingleton;
public:
	int GetCount();
	const M_OnlineRewardsData* GetData(int ID);
	const std::map<int, M_OnlineRewardsData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_OnlineRewards* GetSingleton();
	static void Release();
private:
	std::map<int, M_OnlineRewardsData> mMapData;
};
